#ifndef PHILO_PROTO_H
# define PHILO_PROTO_H

// init.c
t_philo	*init(int ac, char **av, pthread_t **id);

// exec.c
void	*philo_exec(void *arg);

// time.c
void	init_time(t_philo *philo);
void	update_time(t_philo *philo);

// message.c
void	print_message(t_philo *philo, char *msg);

#endif

